package com.adventurer_engine.network.server2client;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.network.RCsPacket;
import com.adventurer_engine.network.server2client.PlayerDataSynchronousS2C;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import uf;

public class SendBoolean extends RCsPacket {
  private String key;
  
  private boolean toSend;
  
  public SendBoolean(String key, boolean toSend) {
    this.key = key;
    this.toSend = toSend;
  }
  
  public SendBoolean() {}
  
  public void write(ByteArrayDataOutput out) throws IOException {
    out.writeUTF(this.key);
    out.writeBoolean(this.toSend);
  }
  
  public void read(ByteArrayDataInput in) throws IOException {
    this.key = in.readUTF();
    this.toSend = in.readBoolean();
  }
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    assert side == Side.CLIENT;
  }
}
